package _VisualDVM.Passes.All;
import _VisualDVM.Global;
import _VisualDVM.Passes.Testing.ShowCurrentConfigurationTests;
import _VisualDVM.TestingSystem.SAPFOR.SapforConfiguration.SapforConfiguration;
public class ShowCurrentSAPFORConfigurationTests extends ShowCurrentConfigurationTests<SapforConfiguration> {
    @Override
    public Class currentClass() {
        return SapforConfiguration.class;
    }
    @Override
    protected void showDone() throws Exception {
        Global.testingServer.db.groups.getUI().SelectKeys(Global.testingServer.db.getSapforConfigurationGroupsIds(target));
        Global.testingServer.db.tests.getUI().SelectKeys(Global.testingServer.db.getSapforConfigurationTestsIds(target));
        Global.testingServer.db.sapforSettings.getUI().SelectKeys(Global.testingServer.db.getSapforConfigurationSettingsIds(target));
    }
}
